Package twisted :: Package protocols :: Module oscar :: Class SNACBased

[frames | no frames]

## Class SNACBased

    BaseProtocol --+
                   |
            Protocol --+
                       |
         OscarConnection --+
                           |
                          SNACBased

Known Subclasses:
  `BOSConnection`, `OSCARService`

Method Summary
| `__init__(self, cookie)`
| `_ebDeferredError(self, error, fam, sub, data)`
| ``clientReady`(self)` called when the client is ready to be online
| `oscar_(self, data)`
| `oscar_01_03(self, snac)`
| ``oscar_01_0A`(self, snac)` change of rate information.
| ``oscar_01_18`(self, snac)` host versions, in the same format as we sent
| `oscar_Data(self, data)`
| `oscar_unknown(self, snac)`
| ``sendSNAC`(self, fam, sub, data, flags)` send a snac and wait for the response by returning a Deferred.
| ``sendSNACnr`(self, fam, sub, data, flags)` send a snac, but don't bother adding a deferred, we don't care.
Inherited from OscarConnection
| ``connectionLost`(self, reason)`
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| ``disconnect`(self)` send the disconnect flap, and sever the connection
| ``readFlap`(self)`
| ``sendFLAP`(self, data, channel)`
| ``sendKeepAlive`(self)`
| ``setKeepAlive`(self, t)`
| ``stopKeepAlive`(self)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`dict` | `snacFamilies` = `{}`
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### clientReady(self)

called when the client is ready to be online

### oscar_01_0A(self, snac)

change of rate information.

### oscar_01_18(self, snac)

host versions, in the same format as we sent

### sendSNAC(self, fam, sub, data, flags=[0, 0])

send a snac and wait for the response by returning a Deferred.

### sendSNACnr(self, fam, sub, data, flags=[0, 0])

send a snac, but don't bother adding a deferred, we don't care.

Class Variable Details

### snacFamilies

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 2.0 on Wed Feb 25 07:36:51 2004 | http://epydoc.sf.net